Memberships
Create a membership bundle
Creates a membership bundle for an organization. The bundle's owner is
granted the bundle-manager role on the organization.
When copy_previous_assignments is true, eligible person memberships from
previous_membership_bundle are copied onto the new bundle asynchronously;
the response returns before the copy completes.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/membership_bundles" \ -H "Content-Type: application/json" \ -d '{ "data": { "type": "membership_bundles" } }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "type": "membership_bundles", "attributes": { "name_en": "string", "name_fr": "string", "starts_at": "2019-08-24T14:15:22Z", "ends_at": "2019-08-24T14:15:22Z", "expires_at": "2019-08-24T14:15:22Z", "grace_period_days": 0, "in_grace": true, "status": "string", "external_id": "string", "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z" }, "relationships": { "organization": { "data": { "type": "organizations", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/organization", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/organization" } }, "owner": { "data": { "type": "people", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/owner", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/owner" } }, "previous_membership_bundle": { "data": { "type": "membership_bundles", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/previous_membership_bundle", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/previous_membership_bundle" } }, "next_membership_bundle": { "data": { "type": "membership_bundles", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/next_membership_bundle", "related": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e/next_membership_bundle" } } }, "links": { "self": "/membership_bundles/7247ad7d-9275-454b-9e3a-0570e403739e" } }}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}{ "errors": [ { "status": 0, "title": "string", "source": { "pointer": "string", "parameter": "string" }, "meta": { "error": "string", "field": "string" } } ]}